import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
	.attr('transform', `translate(${width / 2}, ${height / 2})`);

const circle = g.append('circle')
  .attr('r', height / 2)
	.attr('fill', 'yellow')
	.attr('stroke', 'black');

const eyeSpacing = 100;
const eyeYOffset = -70;
const eyeBrowWith = 70;
const eyeBrowHeight = 10;

const eyesG = g.append('g')
	.attr('transform', `translate(0, ${eyeYOffset})`)

const leftEye = eyesG.append('circle')
  .attr('r', 25)
	.attr('cx', -eyeSpacing)

const rightEye = eyesG.append('circle')
  .attr('r', 25)
	.attr('cx', eyeSpacing);

const leftEyebrow = eyesG
	.append('rect')
    .attr('x', -eyeSpacing - eyeBrowWith / 2)
    .attr('y', - 50)
    .attr('width', eyeBrowWith)
    .attr('height', eyeBrowHeight)
  .transition().duration(500)
    .attr('y', - 80)
	.transition().duration(500)
    .attr('y', - 50)

const rightEyebrow = eyesG
	.append('rect')
    .attr('x', eyeSpacing - eyeBrowWith / 2)
    .attr('y', - 50)
    .attr('width', eyeBrowWith)
    .attr('height', eyeBrowHeight)

const mouth = g.append('path')
	.attr('d', arc()({
    innerRadius: 0,
  	outerRadius: 100,
  	startAngle: Math.PI / 2,
  	endAngle: Math.PI * 3 / 2,
  }));
